Đến nội dung


Hình ảnh
- - - - -

Lỗi LISP trong CAD 2010


  • Please log in to reply
3 replies to this topic

#1 hdg2318

hdg2318

    biết lệnh mirror

  • Members
  • PipPipPip
  • 158 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 20 October 2009 - 01:00 PM

các bạn choi hỏi, lisp này bị sao mà không dùng được trong CAD2010, trong khi trong CAD2008 vẫn dung bình thường
(defun c:fr()
(graphscr)
(setvar "Cmdecho" 0)
(Princ "FILLET\n")
(command "_.Fillet" "_mUltiple" "_Radius")
(setvar "Cmdecho" 1)
(princ)
)

CAD08 :
gõ lệnh fr --> nhập bán kính --> chọn 2 đối tượng là line giao nhau cần bo tròn góc

CAD10:
gõ lệnh fr--> nhập bán kính --> thoát lệnh.

vậy là sao hả mọi người. Xin được chỉ giáo.
  • 0

Có 2 cách để nhìn đời:
1 là : coi như chẳng có gì là huyền diệu
2 là : coi như mọi điều đều huyền diệu


Click here


#2 thiep

thiep

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 369 Bài viết
Điểm đánh giá: 260 (khá)

Đã gửi 20 October 2009 - 01:53 PM

các bạn choi hỏi, lisp này bị sao mà không dùng được trong CAD2010, trong khi trong CAD2008 vẫn dung bình thường

(defun c:fr()
(graphscr)
(setvar "Cmdecho" 0)
(Princ "FILLET\n")
(command "_.Fillet" "_mUltiple" "_Radius")
(setvar "Cmdecho" 1)
(princ)
)

CAD08 :
gõ lệnh fr --> nhập bán kính --> chọn 2 đối tượng là line giao nhau cần bo tròn góc

CAD10:
gõ lệnh fr--> nhập bán kính --> thoát lệnh.

vậy là sao hả mọi người. Xin được chỉ giáo.

Sau hàng (Princ "FILLET\n")
Bạn sửa lại như sau:
(setvar "filletrad" (getreal "\nRadius: "))
(command "_.Fillet" "_mUltiple" pause pause)
  • 1

#3 hdg2318

hdg2318

    biết lệnh mirror

  • Members
  • PipPipPip
  • 158 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 20 October 2009 - 04:00 PM

OK men, đã giải quyết xong vấn đề, thanks bạn nha.
  • 0

Có 2 cách để nhìn đời:
1 là : coi như chẳng có gì là huyền diệu
2 là : coi như mọi điều đều huyền diệu


Click here


#4 hdg2318

hdg2318

    biết lệnh mirror

  • Members
  • PipPipPip
  • 158 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 20 October 2009 - 04:01 PM

OK men, đã giải quyết xong vấn đề, thanks bạn nha.
  • 0

Có 2 cách để nhìn đời:
1 là : coi như chẳng có gì là huyền diệu
2 là : coi như mọi điều đều huyền diệu


Click here